package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.depart.handover.domain.Handover;
import com.jeeplus.human.depart.handover.domain.HandoverProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverProjectMapper extends BaseMapper<HandoverProject> {

    /**
     * 固定保存项目
     * @return
     */
    void saveProject(@Param("handoverProject")List<HandoverProject> handoverProject);

    /**
     * 获取固定项目信息
     * @return
     */
    List<HandoverProject>  findProjectList(@Param("id") String id);

}

